import React, {useState} from 'react';
import { BrowserRouter as Router, Route, Routes, Link } from 'react-router-dom';
import Home from './Home';
import About from './About';
import Profile from './Profile';
import Charts from './Charts';
import ResponsiveAppBar from './components/ResponsiveAppBar';

function App() {
  const [user, setUser] = useState(null);

  const handleSignup = (formData) => {
    // Simulate user signup (for demo purposes)
    setUser({
      username: formData.username,
      email: formData.email,
      creditPoints: 0, // Set initial credit points for new user
      avatarUrl: '', // You can provide a default avatar URL or leave it empty
    });
  };

  return (
    <Router>
      <div className="App">
        <ResponsiveAppBar />
        <Routes>
          <Route exact path="/" Component={Home} />
          <Route path="/about" Component={About} /> 
          <Route path="/profile" element={<Profile user={user} onSignup={handleSignup}/>} />
          <Route path="/about" Component={Home} />
          <Route path="/Charts" Component={Charts} />
          <Route path="/" element={<Home />} />
          <Route path="/news" element={<About />} />
          <Route path="/Topplistan" element={<Charts />} />

        </Routes>  
      </div>
    </Router>
  );
}

export default App;
