// MyComponent.js
import React from 'react';
import { Button, ThemeProvider } from '@mui/material';
import theme from '../theme';

const MyComponent = () => {
  return (
    <ThemeProvider theme={theme}>
      <div>
        <Button
          variant="contained"
          color="primary"
          sx={{
            color: (theme) => theme.palette.text.primary,
            backgroundColor: (theme) => theme.palette.primary.main,
            fontSize: (theme) => `${theme.typography.fontSize}px`,
            padding: '10px 20px',
            borderRadius: '4px',
            cursor: 'pointer',
          }}
        >
          Submit
        </Button>
      </div>
    </ThemeProvider>
  );
};

export default MyComponent;
