// src/SignupForm.js

import React, { useState } from 'react';
import { TextField, Button, Typography } from '@mui/material';

const SignupForm = ({ onSignup }) => {
  const [email, setEmail] = useState('');
  const [username, setUsername] = useState('');
  const [password, setPassword] = useState('');

  const handleSignup = () => {
    // Perform signup logic (e.g., call an API to register the user)
    // For demonstration, just log the form data
    console.log({ email, username, password });
    // Invoke parent callback with form data
    onSignup({ email, username, password });
  };

  return (
    <div>
      <Typography variant="h4" gutterBottom>
        Sign Up
      </Typography>
      <TextField
        label="Email"
        fullWidth
        value={email}
        onChange={(e) => setEmail(e.target.value)}
        margin="normal"
      />
      <TextField
        label="Username"
        fullWidth
        value={username}
        onChange={(e) => setUsername(e.target.value)}
        margin="normal"
      />
      <TextField
        label="Password"
        fullWidth
        type="password"
        value={password}
        onChange={(e) => setPassword(e.target.value)}
        margin="normal"
      />
      <Button variant="contained" color="primary" onClick={handleSignup}>
        Sign Up
      </Button>
    </div>
  );
};

export default SignupForm;
